# Class BattleResumedEvent

java.lang.Object
robocode.control.events.BattleEvent
robocode.control.events.BattleResumedEvent

public class BattleResumedEvent extends BattleEvent
A BattleResumedEvent is sent to `onBattleResumed()` when a battle has been resumed (after having been paused).

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  - `IBattleListener`
  - `BattlePausedEvent`

## Constructor Summary

Constructors
Constructor
Description
`BattleResumedEvent()`
Called by the game to create a new BattleResumedEvent.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BattleResumedEvent

public BattleResumedEvent()
Called by the game to create a new BattleResumedEvent. Please don't use this constructor as it might change.